Skip to main content
GET
/
registrant-line-items
Get All Line Items
curl --request GET \
  --url https://api.swoogo.com/api/v1/registrant-line-items \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-04-21 15:46:23",
      "updated_at": "2023-04-21 15:47:37"
    }
  ],
  "_links": {
    "self": {
      "href": ""
    },
    "first": {
      "href": ""
    },
    "last": {
      "href": ""
    }
  },
  "_meta": {
    "totalCount": 1,
    "pageCount": 1,
    "currentPage": 1,
    "perPage": 20
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

event_id
integer
required

integer - required - The ID of the event you want to retrieve line items for

Example:

1

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"registrant_id,object,object_id,group_id,net,tax,tax_rate,gross, datetime,full_price_net,full_price_gross,question_id,quantity,status"

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

Example:

"id>123"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 200)

Example:

"5"

sort
string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

ids
string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Response

Collection

items
object[]
_meta
object